XyWrite KBD Documentor v.2 (2022-10-18):;KB;
=======================================:;LM0RM8IN
EditPad syntax coloring for .KT/.KBD by:;     Signature 1.0
Carl Distefano  https://bit.ly/3rxvSzg :;   Only the Spacebar key (57) has the space character assigned to it.
                                       :;   All other key assignments that appear to have space characters
                                       :;   actually have ASCII 0 (null) assigned to them, not the space character.
                                       :;   The ASCII 0 means nothing will happen when that key is pressed.
                                       :;   NOTE: IBM keyboards have no key 89;  Key 84 is SYS REQ key on IBM PC AT
                                       :;                  ͻ
                                       :;                    IBM Extended KEYBOARD TABLE  
                                       :;                  ͼ
                                       :; ͻ ͻ ͻ ͻ  ͻ
                                       :; 1  59606162 63646566 67688788  847090
                                       :; ͼ ͼ ͼ ͼ  ͼ
                                       :;  Esc  F1 F2 F3 F4   F5 F6 F7 F8  F9 F10 F11 F12  PS SL PA
                                       :; ͻ ͻ    ͻ
                                       :; 412 3 4 5 6 7 8 9 10111213  14   919293    69945574 
                                       :; ͹ ͹    ͹
                                       :; 15 161718192021222324252627 43   959697    71727378 
                                       :; ͹ ͼ    ͹   
                                       :;  58 3031323334353637383940   28                 757677   
                                       :; ͹     ͻ     ͹
                                       :;   42 44454647484950515253     54       100     798081104
                                       :; ͹ ͻ ͹   
                                       :; 29   56         57                98   99 101102103  82  83   
                                       :; ͼ ͼ ͼ
                                       :;		     	ͻ
                                       :;			  IBM XT KEYBOARD TABLE  
                                       :;                       ͼ
                                       :;  
                                       :;  Esc  1   2   3   4   5   6   7   8   9   0   -   =    <-  
                                       :;   1   2   3   4   5   6   7   8   9   10  11  12  13   14  
                                       :;  
                                       :;   Tab  Q   W   E   R   T   Y   U   I   O   P   [   ]       
                                       :;   15   16  17  18  19  20  21  22  23  24  25  26  27      
                                       :;  ͹< 
                                       :;   Ctrl  A   S   D   F   G   H   J   K   L   ;   '   `   28 
                                       :;   29    30  31  32  33  34  35  36  37  38  39  40  41     
                                       :;  
                                       :;  Shft \   Z   X   C   V   B   N   M   ,   .   /  Shift  *  
                                       :;   42  43  44  45  46  47  48  49  50  51  52  53  54    55 
                                       :;  
                                       :;    Alt                    Space Bar                     Caps Lock  Ins
                                       :;    56                         57                            58   
                                       :;  
                                       :;			     (more)  
                                       :;  ͻ                                        ͻ
                                       :;   F1  F2                                           Num LockScrol Lck
                                       :;   59  60                                              69      70    
                                       :;  ͹                                        ͹
                                       :;   F3  F4                                          Home   PgUp -  
                                       :;   61  62                                           71  72  73  74 
                                       :;  ͹                                         ͹
                                       :;   F5  F6                                           1B        1A     
                                       :;   63  64                                           75  76  77     
                                       :;  ͹                                         ͹    
                                       :;   F7  F8                                           End   PgDn +  
                                       :;   65  66                                           79  80  81  78 
                                       :;  ͹                                    ͹    
                                       :;   F9  F10                                      Ins       Del       
                                       :;   67  68                                        82        83       
                                       :;  ͼ                                    ͼ
                                       :;    DEFINITIONS
                                       :KEYS=105
                                       :CTRL=29,99
                                       :ALT=56,98
                                       :SHIFT=42,54
                                       :CAPS=58,T:C
                                       :MOUSE=105
                                       :;    For Keytronic 5151 change the line SHIFT=42,54 above to:
                                       :;	SHIFT=42,54,N
                                       :; This is the UNSHIFTED table and should be the same as CAPS table,
Modifier  Key          Description     :; except the letters A-Z should be lowercase here
Unshift---------------+----------------:TABLE=
Unshift   Esc         |                :1=ES
Unshift   1           |                :2=1
Unshift   2           |                :3=2
Unshift   3           |                :4=3
Unshift   4           |                :5=4
Unshift   5           |                :6=5
Unshift   6           |                :7=6
Unshift   7           |                :8=7
Unshift   8           |                :9=8
Unshift   9           |                :10=9
Unshift   0           |                :11=0
Unshift   - Hyphen    |                :12=-
Unshift   = Equal     |                :13==
Unshift   Backspace   |                :14=BD
Unshift   Tab         |                :15=09
Unshift   q           |                :16=q
Unshift   w           |                :17=w
Unshift   e           |                :18=e
Unshift   r           |                :19=r
Unshift   t           |                :20=t
Unshift   y           |                :21=y
Unshift   u           |                :22=u
Unshift   i           |                :23=i
Unshift   o           |                :24=o
Unshift   p           |                :25=p
Unshift   [           |                :26=[
Unshift   ]           |                :27=]
Unshift   Enter       |                :28=0D
Unshift   Ctrl Left   |                :29=00
Unshift   a           |                :30=a
Unshift   s           |                :31=s
Unshift   d           |                :32=d
Unshift   f           |                :33=f
Unshift   g           |                :34=g
Unshift   h           |                :35=h
Unshift   j           |                :36=j
Unshift   k           |                :37=k
Unshift   l           |                :38=l
Unshift   ; Semicolon |                :39=;
Unshift   ' Acute     |                :40='
Unshift   ` Grave     |                :41=`
Unshift   Shift Left  |                :42=00
Unshift   \           |                :43=\
Unshift   z           |                :44=z
Unshift   x           |                :45=x
Unshift   c           |                :46=c
Unshift   v           |                :47=v
Unshift   b           |                :48=b
Unshift   n           |                :49=n
Unshift   m           |                :50=m
Unshift   ,           |                :51=,
Unshift   .           |                :52=.
Unshift   /           |                :53=/
Unshift   Shift Right |                :54=00
Unshift   * on NumPad |                :55=*
Unshift   Alt         |                :56=00
Unshift   Space       |                :57= ,
Unshift   CapsLock    |                :58=NO
Unshift   F1          | Help           :59=Q1,H@
Unshift   F2          | Ins. text macro:60=XH,SG
Unshift   F3          | Begin/end sel. :61=DF
Unshift   F4          | Select paragr. :62=DP
Unshift   F5          | Blank cmdline  :63=BC
Unshift   F6          | Next window    :64=XH,NX
Unshift   F7          | Spell check    :65=XH,JM,(,S,p,e,l,l,)
Unshift   F8          | Formatted view :66=XH,SP
Unshift   F9          | Execute cmd    :67=XC
Unshift   F10         | Menu bar       :68=GT,SH
Unshift   NumLock     |                :69=NO
Unshift   ScrLock     |                :70=TS
Unshift   Home        |                :71=EL
Unshift   Up          |                :72=CU
Unshift   PgUp        |                :73=PU
Unshift   Pad Minus   |                :74=R4,R5,NO
Unshift   Left        |                :75=CL
Unshift   Pad Five    |                :76=NI,XH,CC
Unshift   Right       |                :77=CR
Unshift   Pad Plus    |                :78=+
Unshift   End         |                :79=ER
Unshift   Down        |                :80=CD
Unshift   PgDn        |                :81=PD
Unshift   Ins         |                :82=TI
Unshift   Del         |                :83=RC
Unshift   SysReq (AT) |                :84=NI
Unshift   Menu (NB)   |                : 85=
Unshift   < (Europe)  |                : 86=
Unshift   F11         |                :87=EF
Unshift   F12         |                :88=XH,UD
Unshift   * unused *  |                : 89=
Unshift   Pause       |                :90=NI
Unshift   Insert Enh  |                :91=TI
Unshift   Home   Enh  |                :92=EL
Unshift   PageUp Enh  |                :93=PU
Unshift   Divide NumP |                :94=/
Unshift   Delete Enh  |                :95=RC
Unshift   End    Enh  |                :96=ER
Unshift   PageDn Enh  |                :97=PD
Unshift   Alt Right   |                :98=00
Unshift   Ctrl Right  |                :99=00
Unshift   ArrowUp     |                :100=CU
Unshift   ArrowLeft   |                :101=CL
Unshift   ArrowDown   |                :102=CD
Unshift   ArrowRight  |                :103=CR
Unshift   Enter NumP  |                :104=0D
Unshift   Mouse       |                :105=MS
Caps------------------+----------------:TABLE=CAPS
Caps      Esc         |                : The CAPS table should be the same as UNSHIFTED table
Caps      Esc         |                : except letters A-Z should be CAPITALIZED here
Caps      Esc         |                : Caps Lock has no effect on other tables (e.g., CAPS+CTRL is same as CTRL)
Caps      Esc         |                :1=ES
Caps      1           |                :2=1
Caps      2           |                :3=2
Caps      3           |                :4=3
Caps      4           |                :5=4
Caps      5           |                :6=5
Caps      6           |                :7=6
Caps      7           |                :8=7
Caps      8           |                :9=8
Caps      9           |                :10=9
Caps      0           |                :11=0
Caps      - Hyphen    |                :12=-
Caps      = Equal     |                :13==
Caps      Backspace   |                :14=BD
Caps      Tab         |                :15=09
Caps      q           |                :16=Q
Caps      w           |                :17=W
Caps      e           |                :18=E
Caps      r           |                :19=R
Caps      t           |                :20=T
Caps      y           |                :21=Y
Caps      u           |                :22=U
Caps      i           |                :23=I
Caps      o           |                :24=O
Caps      p           |                :25=P
Caps      [           |                :26=[
Caps      ]           |                :27=]
Caps      Enter       |                :28=0d
Caps      Ctrl Left   |                :29=00
Caps      a           |                :30=A
Caps      s           |                :31=S
Caps      d           |                :32=D
Caps      f           |                :33=F
Caps      g           |                :34=G
Caps      h           |                :35=H
Caps      j           |                :36=J
Caps      k           |                :37=K
Caps      l           |                :38=L
Caps      ; Semicolon |                :39=;
Caps      ' Acute     |                :40='
Caps      ` Grave     |                :41=`
Caps      Shift Left  |                :42=NO
Caps      \           |                :43=\
Caps      z           |                :44=Z
Caps      x           |                :45=X
Caps      c           |                :46=C
Caps      v           |                :47=V
Caps      b           |                :48=B
Caps      n           |                :49=N
Caps      m           |                :50=M
Caps      ,           |                :51=,
Caps      .           |                :52=.
Caps      /           |                :53=/
Caps      Shift Right |                :54=NO
Caps      * on NumPad |                :55=*
Caps      Alt         |                :56=00
Caps      Space       |                :57= ,
Caps      CapsLock    |                :58=NO
Caps      F1          |                :59=Q1,H@
Caps      F2          |                :60=XH,SG
Caps      F3          |                :61=DF
Caps      F4          |                :62=DP
Caps      F5          |                :63=BC
Caps      F6          |                :64=XH,NX
Caps      F7          |                :65=XH,JM,(,S,p,e,l,l,)
Caps      F8          |                :66=XH,SP
Caps      F9          |                :67=XC
Caps      F10         |                :68=GT,SH
Caps      NumLock     |                :69=NO
Caps      ScrLock     |                :70=TS
Caps      Home        |                :71=EL
Caps      Up          |                :72=CU
Caps      PgUp        |                :73=PU
Caps      Pad Minus   |                :74=R4,R5,NO
Caps      Left        |                :75=CL
Caps      Pad Five    |                :76=NI,XH,CC
Caps      Right       |                :77=CR
Caps      Pad Plus    |                :78=+
Caps      End         |                :79=ER
Caps      Down        |                :80=CD
Caps      PgDn        |                :81=PD
Caps      Ins         |                :82=TI
Caps      Del         |                :83=RC
Caps      SysReq (AT) |                :84=NI
Caps      Menu (NB)   |                : 85=
Caps      < (Europe)  |                : 86=
Caps      F11         |                :87=EF
Caps      F12         |                :88=XH,UD
Caps      * unused *  |                : 89=
Caps      Pause       |                :90=NI
Caps      Insert Enh  |                :91=TI
Caps      Home   Enh  |                :92=EL
Caps      PageUp Enh  |                :93=PU
Caps      Divide NumP |                :94=/
Caps      Delete Enh  |                :95=RC
Caps      End    Enh  |                :96=ER
Caps      PageDn Enh  |                :97=PD
Caps      Alt Right   |                :98=00
Caps      Ctrl Right  |                :99=00
Caps      ArrowUp     |                :100=CU
Caps      ArrowLeft   |                :101=CL
Caps      ArrowDown   |                :102=CD
Caps      ArrowRight  |                :103=CR
Caps      Enter NumP  |                :104=0D
Caps      Mouse       |                :105=MS
Shift-----------------+----------------:TABLE=SHIFT
Shift     Esc         |                : The SHIFT table should be the same as SHIFT+CAPS table
Shift     Esc         |                : except the letters A-Z should be UPPERCASE here
Shift     Esc         |                :1=1B
Shift     1           |                :2=!
Shift     2           |                :3=@
Shift     3           |                :4=#
Shift     4           |                :5=$
Shift     5           |                :6=%
Shift     6           |                :7=^
Shift     7           |                :8=&
Shift     8           |                :9=*
Shift     9           |                :10=(
Shift     0           |                :11=)
Shift     - Hyphen    |                :12=_
Shift     = Equal     |                :13=+
Shift     Backspace   |                :14=BD
Shift     Tab         |                :15=PT
Shift     q           |                :16=Q
Shift     w           |                :17=W
Shift     e           |                :18=E
Shift     r           |                :19=R
Shift     t           |                :20=T
Shift     y           |                :21=Y
Shift     u           |                :22=U
Shift     i           |                :23=I
Shift     o           |                :24=O
Shift     p           |                :25=P
Shift     [           |                :26={
Shift     ]           |                :27=}
Shift     Enter       |                :28=03
Shift     Ctrl Left   |                :29=00
Shift     a           |                :30=A
Shift     s           |                :31=S
Shift     d           |                :32=D
Shift     f           |                :33=F
Shift     g           |                :34=G
Shift     h           |                :35=H
Shift     j           |                :36=J
Shift     k           |                :37=K
Shift     l           |                :38=L
Shift     ; Semicolon |                :39=:
Shift     ' Acute     |                :40="
Shift     ` Grave     |                :41=~
Shift     Shift Left  |                :42=NO
Shift     \           |                :43=|
Shift     z           |                :44=Z
Shift     x           |                :45=X
Shift     c           |                :46=C
Shift     v           |                :47=V
Shift     b           |                :48=B
Shift     n           |                :49=N
Shift     m           |                :50=M
Shift     ,           |                :51=<
Shift     .           |                :52=>
Shift     /           |                :53=?
Shift     Shift Right |                :54=NO
Shift     * on NumPad |                :55=NI,*
Shift     Alt         |                :56=00
Shift     Space       |                :57= ,
Shift     CapsLock    |                :58=NO
Shift     F1          |                :59=00
Shift     F2          |                :60=SV
Shift     F3          |                :61=XH,DM
Shift     F4          |                :62=DS
Shift     F5          |                :63=XH,CC
Shift     F6          |                :64=XH,CB
Shift     F7          |                :65=XH,SY
Shift     F8          |                :66=XH,WZ
Shift     F9          |                :67=RX,FF
Shift     F10         |                :68=OP
Shift     NumLock     |                :69=00
Shift     ScrLock     |                :70=TS
Shift     Home        |                :71=DM,EL,DZ
Shift     Up          |                :72=DM,CU,DZ
Shift     PgUp        |                :73=DM,PU,DZ
Shift     Pad Minus   |                :74=EE
Shift     Left        |                :75=DM,CL,DZ
Shift     Pad Five    |                :76=00
Shift     Right       |                :77=DM,CR,DZ
Shift     Pad Plus    |                :78=TE
Shift     End         |                :79=DM,ER,DZ
Shift     Down        |                :80=DM,CD,DZ
Shift     PgDn        |                :81=DM,PD,DZ
Shift     Ins         |                :82=XH,JM,(,P,a,s,t,e,)
Shift     Del         |                :83=XH,NU
Shift     SysReq (AT) |                :84=PR
Shift     Menu (NB)   |                : 85=
Shift     < (Europe)  |                : 86=
Shift     F11         |                :87=XH,MK
Shift     F12         |                :88=XH,RD
Shift     * unused *  |                : 89=
Shift     Pause       |                :90=00
Shift     Insert Enh  |                :91=XH,JM,(,P,a,s,t,e,)
Shift     Home   Enh  |                :92=DM,EL,DZ
Shift     PageUp Enh  |                :93=DM,PU,DZ
Shift     Divide NumP |                :94=/
Shift     Delete Enh  |                :95=XH,NU
Shift     End    Enh  |                :96=DM,ER,DZ
Shift     PageDn Enh  |                :97=DM,PD,DZ
Shift     Alt Right   |                :98=00
Shift     Ctrl Right  |                :99=00
Shift     ArrowUp     |                :100=DM,CU,DZ
Shift     ArrowLeft   |                :101=DM,CL,DZ
Shift     ArrowDown   |                :102=DM,CD,DZ
Shift     ArrowRight  |                :103=DM,CR,DZ
Shift     Enter NumP  |                :104=NI,03
Shift     Mouse       |                :105=MS
CapsShift-------------+----------------:TABLE=SHIFT+CAPS
CapsShift Esc         |                : The SHIFT+CAPS table should be the same as SHIFT table
CapsShift Esc         |                : except the letters A-Z should be uppercase here
CapsShift Esc         |                : Caps Lock has no effect on other tables (e.g., CAPS+CTRL is same as CTRL)
CapsShift Esc         |                :1=1B
CapsShift 1           |                :2=!
CapsShift 2           |                :3=@
CapsShift 3           |                :4=#
CapsShift 4           |                :5=$
CapsShift 5           |                :6=%
CapsShift 6           |                :7=^
CapsShift 7           |                :8=&
CapsShift 8           |                :9=*
CapsShift 9           |                :10=(
CapsShift 0           |                :11=)
CapsShift - Hyphen    |                :12=_
CapsShift = Equal     |                :13=+
CapsShift Backspace   |                :14=BD
CapsShift Tab         |                :15=PT
CapsShift q           |                :16=q
CapsShift w           |                :17=w
CapsShift e           |                :18=e
CapsShift r           |                :19=r
CapsShift t           |                :20=t
CapsShift y           |                :21=y
CapsShift u           |                :22=u
CapsShift i           |                :23=i
CapsShift o           |                :24=o
CapsShift p           |                :25=p
CapsShift [           |                :26={
CapsShift ]           |                :27=}
CapsShift Enter       |                :28=03
CapsShift Ctrl Left   |                :29=00
CapsShift a           |                :30=a
CapsShift s           |                :31=s
CapsShift d           |                :32=d
CapsShift f           |                :33=f
CapsShift g           |                :34=g
CapsShift h           |                :35=h
CapsShift j           |                :36=j
CapsShift k           |                :37=k
CapsShift l           |                :38=l
CapsShift ; Semicolon |                :39=:
CapsShift ' Acute     |                :40="
CapsShift ` Grave     |                :41=~
CapsShift Shift Left  |                :42=NO
CapsShift \           |                :43=|
CapsShift z           |                :44=z
CapsShift x           |                :45=x
CapsShift c           |                :46=c
CapsShift v           |                :47=v
CapsShift b           |                :48=b
CapsShift n           |                :49=n
CapsShift m           |                :50=m
CapsShift ,           |                :51=<
CapsShift .           |                :52=>
CapsShift /           |                :53=?
CapsShift Shift Right |                :54=NO
CapsShift * on NumPad |                :55=NI,*
CapsShift Alt         |                :56=00
CapsShift Space       |                :57= ,
CapsShift CapsLock    |                :58=NO
CapsShift F1          |                :59=00
CapsShift F2          |                :60=SV
CapsShift F3          |                :61=XH,DM
CapsShift F4          |                :62=DS
CapsShift F5          |                :63=XH,CC
CapsShift F6          |                :64=XH,CB
CapsShift F7          |                :65=XH,SY
CapsShift F8          |                :66=XH,WZ
CapsShift F9          |                :67=RX,FF
CapsShift F10         |                :68=OP
CapsShift NumLock     |                :69=00
CapsShift ScrLock     |                :70=TS
CapsShift Home        |                :71=DM,EL,DZ
CapsShift Up          |                :72=DM,CU,DZ
CapsShift PgUp        |                :73=DM,PU,DZ
CapsShift Pad Minus   |                :74=EE
CapsShift Left        |                :75=DM,CL,DZ
CapsShift Pad Five    |                :76=00
CapsShift Right       |                :77=DM,CR,DZ
CapsShift Pad Plus    |                :78=TE
CapsShift End         |                :79=DM,ER,DZ
CapsShift Down        |                :80=DM,CD,DZ
CapsShift PgDn        |                :81=DM,PD,DZ
CapsShift Ins         |                :82=XH,JM,(,P,a,s,t,e,)
CapsShift Del         |                :83=XH,NU
CapsShift SysReq (AT) |                :84=PR
CapsShift Menu (NB)   |                : 85=
CapsShift < (Europe)  |                : 86=
CapsShift F11         |                :87=XH,MK
CapsShift F12         |                :88=XH,RD
CapsShift * unused *  |                : 89=
CapsShift Pause       |                :90=00
CapsShift Insert Enh  |                :91=XH,JM,(,P,a,s,t,e,)
CapsShift Home   Enh  |                :92=DM,EL,DZ
CapsShift PageUp Enh  |                :93=DM,PU,DZ
CapsShift Divide NumP |                :94=/
CapsShift Delete Enh  |                :95=XH,NU
CapsShift End    Enh  |                :96=DM,ER,DZ
CapsShift PageDn Enh  |                :97=DM,PD,DZ
CapsShift Alt Right   |                :98=00
CapsShift Ctrl Right  |                :99=00
CapsShift ArrowUp     |                :100=DM,CU,DZ
CapsShift ArrowLeft   |                :101=DM,CL,DZ
CapsShift ArrowDown   |                :102=DM,CD,DZ
CapsShift ArrowRight  |                :103=DM,CR,DZ
CapsShift Enter NumP  |                :104=NI,03
CapsShift Mouse       |                :105=MS
Ctrl------------------+----------------:TABLE=CTRL
Ctrl      Esc         |                :1=KF
Ctrl      1           |                :2=M1
Ctrl      2           |                :3=M2
Ctrl      3           |                :4=M3
Ctrl      4           |                :5=M9
Ctrl      5           |                :6=M5
Ctrl      6           |                :7=MZ
Ctrl      7           |                :8=M7
Ctrl      8           |                :9=M8
Ctrl      9           |                :10=M4
Ctrl      0           |                :11=M0
Ctrl      - Hyphen    |                :12=XH,FD
Ctrl      = Equal     |                :13=XH,FM
Ctrl      Backspace   |                :14=RB
Ctrl      Tab         |                :15=NT
Ctrl      q           |                :16=XH,JM,(,I,n,s,O,u,t,)
Ctrl      w           |                :17=00
Ctrl      e           |                :18=FS
Ctrl      r           |                :19=XH,JM,(,R,e,p,l,K,e,y,)
Ctrl      t           |                :20=XH,JM,(,T,y,S,p,e,c,)
Ctrl      y           |                :21=00
Ctrl      u           |                :22=XH,BX,(,M,D, ,+,U,L,)
Ctrl      i           |                :23=XH,BX,(,M,D, ,+,I,T,)
Ctrl      o           |                :24=XH,JM,(,O,p,e,n,)
Ctrl      p           |                :25=XH,JM,(,P,r,i,n,t,)
Ctrl      [           |                :26=00
Ctrl      ]           |                :27=00
Ctrl      Enter       |                :28=0A
Ctrl      Ctrl Left   |                :29=NO
Ctrl      a           |                :30=00
Ctrl      s           |                :31=XH,JM,(,S,a,v,e,)
Ctrl      d           |                :32=XH,BX,(,M,D, ,+,I,N,)
Ctrl      f           |                :33=XH,JM,(,S,r,c,h,K,e,y,)
Ctrl      g           |                :34=XH,JM,(,G,o,T,o,P,g,)
Ctrl      h           |                :35=XH,JM,(,T,o,g,C,a,s,e,)
Ctrl      j           |                :36=XH,JM,(,M,a,n,P,r,i,n,t,)
Ctrl      k           |                :37=RK
Ctrl      l           |                :38=00
Ctrl      ; Semicolon |                :39=;
Ctrl      ' Acute     |                :40='
Ctrl      ` Grave     |                :41=`
Ctrl      Shift Left  |                :42=00
Ctrl      \           |                :43=
Ctrl      z           |                :44=00
Ctrl      x           |                :45=XH,AR
Ctrl      c           |                :46=NI,XH,CP
Ctrl      v           |                :47=XH,JM,(,P,a,g,e,Z,m,)
Ctrl      b           |                :48=XH,BX,(,M,D, ,+,B,O,)
Ctrl      n           |                :49=XH,BX,(,M,D, ,N,M,)
Ctrl      m           |                :50=XH,MV
Ctrl      ,           |                :51=AE
Ctrl      .           |                :52=AF
Ctrl      /           |                :53=XH,BX,(,M,D, ,+,D,N,)
Ctrl      Shift Right |                :54=00
Ctrl      * on NumPad |                :55=*
Ctrl      Alt         |                :56=00
Ctrl      Space       |                :57=00
Ctrl      CapsLock    |                :58=NO
Ctrl      F1          |                :59=XH,JH,(,^,F,1,)
Ctrl      F2          |                :60=XH,JM,(,T,M,a,c,r,D,e,f,)
Ctrl      F3          |                :61=XH,JM,(,S,e,l,)
Ctrl      F4          |                :62=XH,JM,(,C,l,o,s,e,)
Ctrl      F5          |                :63=XH,JM,(,C,m,d,S,t,a,c,k,)
Ctrl      F6          |                :64=XH,SW
Ctrl      F7          |                :65=SO
Ctrl      F8          |                :66=XH,TG
Ctrl      F9          |                :67=XH,JM,(,R,u,n,F,i,)
Ctrl      F10         |                :68=XH,CC
Ctrl      NumLock     |                :69=00
Ctrl      ScrLock     |                :70=BK,DO
Ctrl      Home        |                :71=TF
Ctrl      Up          |                :72=S-
Ctrl      PgUp        |                :73=MD
Ctrl      Pad Minus   |                :74=XH,BX,(,M,D, ,+,S,D,)
Ctrl      Left        |                :75=PW
Ctrl      Pad Five    |                :76=00
Ctrl      Right       |                :77=NW
Ctrl      Pad Plus    |                :78=XH,BX,(,M,D, ,+,S,U,)
Ctrl      End         |                :79=BF
Ctrl      Down        |                :80=S+
Ctrl      PgDn        |                :81=MU
Ctrl      Ins         |                :82=XH,JM,(,C,o,p,y,)
Ctrl      Del         |                :83=RW
Ctrl      SysReq (AT) |                :84=00
Ctrl      Menu (NB)   |                : 85=
Ctrl      < (Europe)  |                : 86=
Ctrl      F11         |                :87=00
Ctrl      F12         |                :88=RP
Ctrl      * unused *  |                : 89=
Ctrl      Pause       |                :90=BK,DO
Ctrl      Insert Enh  |                :91=XH,JM,(,C,o,p,y,)
Ctrl      Home   Enh  |                :92=TF
Ctrl      PageUp Enh  |                :93=MD
Ctrl      Divide NumP |                :94=/
Ctrl      Delete Enh  |                :95=RW
Ctrl      End    Enh  |                :96=BF
Ctrl      PageDn Enh  |                :97=MU
Ctrl      Alt Right   |                :98=00
Ctrl      Ctrl Right  |                :99=NO
Ctrl      ArrowUp     |                :100=S-
Ctrl      ArrowLeft   |                :101=PW
Ctrl      ArrowDown   |                :102=S+
Ctrl      ArrowRight  |                :103=NW
Ctrl      Enter NumP  |                :104=0A
Ctrl      Mouse       |                : 105=
Alt-------------------+----------------:TABLE=ALT
Alt       Esc         |                :1=KF
Alt       1           |                :2=GT,AK,1
Alt       2           |                :3=GT,AK,2
Alt       3           |                :4=GT,AK,3
Alt       4           |                :5=GT,AK,4
Alt       5           |                :6=GT,AK,5
Alt       6           |                :7=GT,AK,6
Alt       7           |                :8=GT,AK,7
Alt       8           |                :9=GT,AK,8
Alt       9           |                :10=GT,AK,9
Alt       0           |                :11=GT,AK,0
Alt       - Hyphen    |                :12=-
Alt       = Equal     |                :13=DT
Alt       Backspace   |                :14=00
Alt       Tab         |                :15=KF
Alt       q           |                :16=GT,AK,Q
Alt       w           |                :17=GT,AK,W
Alt       e           |                :18=GT,AK,E
Alt       r           |                :19=GT,AK,R
Alt       t           |                :20=GT,AK,T
Alt       y           |                :21=GT,AK,Y
Alt       u           |                :22=GT,AK,U
Alt       i           |                :23=GT,AK,I
Alt       o           |                :24=GT,AK,O
Alt       p           |                :25=GT,AK,P
Alt       [           |                :26=[
Alt       ]           |                :27=]
Alt       Enter       |                :28=NI,NL
Alt       Ctrl Left   |                :29=00
Alt       a           |                :30=GT,AK,A
Alt       s           |                :31=GT,AK,S
Alt       d           |                :32=GT,AK,D
Alt       f           |                :33=GT,AK,F
Alt       g           |                :34=GT,AK,G
Alt       h           |                :35=GT,AK,H
Alt       j           |                :36=GT,AK,J
Alt       k           |                :37=GT,AK,K
Alt       l           |                :38=GT,AK,L
Alt       ; Semicolon |                :39=00
Alt       ' Acute     |                :40=00
Alt       ` Grave     |                :41=00
Alt       Shift Left  |                :42=00
Alt       \           |                :43=00
Alt       z           |                :44=GT,AK,Z
Alt       x           |                :45=GT,AK,X
Alt       c           |                :46=GT,AK,C
Alt       v           |                :47=GT,AK,V
Alt       b           |                :48=GT,AK,B
Alt       n           |                :49=GT,AK,N
Alt       m           |                :50=GT,AK,M
Alt       ,           |                :51=00
Alt       .           |                :52=00
Alt       /           |                :53=00
Alt       Shift Right |                :54=00
Alt       * on NumPad |                :55=NI,MT,*
Alt       Alt         |                :56=GT,SH
Alt       Space       |                :57=00
Alt       CapsLock    |                :58=NO
Alt       F1          |                :59=EF
Alt       F2          |                :60=UD
Alt       F3          |                :61=DC
Alt       F4          |                :62=XH,JM,(,E,x,i,t,)
Alt       F5          |                :63=00
Alt       F6          |                :64=AS
Alt       F7          |                :65=XH,AC
Alt       F8          |                :66=XH,WG
Alt       F9          |                :67=XH,JM,(,S,a,v,R,K,)
Alt       F10         |                : 68=This key is a duplicate of Alt-F6:
Alt       F10         |                :68=AS
Alt       NumLock     |                :69=00
Alt       ScrLock     |                :70=TS
Alt       Home        |                :71=NI,HM
Alt       Up          |                :72=NI,PP
Alt       PgUp        |                :73=NI,PF
Alt       Pad Minus   |                :74=NI,SU
Alt       Left        |                :75=NI,TL
Alt       Pad Five    |                :76=NI
Alt       Right       |                :77=NI,TR
Alt       Pad Plus    |                :78=NI,SM
Alt       End         |                :79=NI,BS
Alt       Down        |                :80=NI,NP
Alt       PgDn        |                :81=NI,NF
Alt       Ins         |                :82=NI,TW
Alt       Del         |                :83=RE
Alt       SysReq (AT) |                :84=00
Alt       Menu (NB)   |                : 85=
Alt       < (Europe)  |                : 86=
Alt       F11         |                :87=00
Alt       F12         |                :88=00
Alt       * unused *  |                : 89=
Alt       Pause       |                :90=00
Alt       Insert Enh  |                :91=NI,TW
Alt       Home   Enh  |                :92=NI,HM
Alt       PageUp Enh  |                :93=NI,PF
Alt       Divide NumP |                :94=NI,MT,/
Alt       Delete Enh  |                :95=NI,RE
Alt       End    Enh  |                :96=NI,BS
Alt       PageDn Enh  |                :97=NI,NF
Alt       Alt Right   |                :98=GT,SH
Alt       Ctrl Right  |                :99=00
Alt       ArrowUp     |                :100=NI,PP
Alt       ArrowLeft   |                :101=NI,TL
Alt       ArrowDown   |                :102=NI,NP
Alt       ArrowRight  |                :103=NI,TR
Alt       Enter NumP  |                :104=NI,NL
Alt       Mouse       |                : 105=
CtrlShift-------------+----------------:TABLE=CTRL+SHIFT
CtrlShift Esc         |                : 1=
CtrlShift 1           |                :2=XH,#1
CtrlShift 2           |                :3=XH,#2
CtrlShift 3           |                :4=XH,#3
CtrlShift 4           |                :5=XH,#4
CtrlShift 5           |                :6=XH,#5
CtrlShift 6           |                :7=XH,#6
CtrlShift 7           |                :8=XH,#7
CtrlShift 8           |                :9=XH,#8
CtrlShift 9           |                :10=XH,#9
CtrlShift 0           |                :11=00
CtrlShift - Hyphen    |                :12=00
CtrlShift = Equal     |                :13=00
CtrlShift Backspace   |                :14=00
CtrlShift Tab         |                :15=00
CtrlShift q           |                :16=XH,JM,(,I,n,s,O,u,t,R,e,v,)
CtrlShift w           |                :17=00
CtrlShift e           |                :18=XH,JM,(,M,r,k,I,n,d,x,)
CtrlShift r           |                :19=XH,JM,(,A,R,i,g,h,t,)
CtrlShift t           |                :20=00
CtrlShift y           |                :21=00
CtrlShift u           |                :22=00
CtrlShift i           |                :23=00
CtrlShift o           |                :24=00
CtrlShift p           |                :25=XH,JM,(,S,i,z,e,)
CtrlShift [           |                :26=00
CtrlShift ]           |                :27=00
CtrlShift Enter       |                :28=XH,BX,(,P,G,)
CtrlShift Ctrl Left   |                : 29=
CtrlShift a           |                :30=00
CtrlShift s           |                :31=XH,JM,(,A,p,p,S,t,y,K,e,y,)
CtrlShift d           |                :32=XH,BX,(,B,o,x,)
CtrlShift f           |                :33=00
CtrlShift g           |                :34=XH,JM,(,J,u,m,p,B,k,)
CtrlShift h           |                :35=
CtrlShift j           |                :36=XH,JM,(,J,u,s,t,)
CtrlShift k           |                :37=XH,JM,(,Q,k,K,y,w,d,)
CtrlShift l           |                :38=XH,JM,(,A,L,e,f,t,)
CtrlShift ; Semicolon |                : 39=
CtrlShift ' Acute     |                : 40=
CtrlShift ` Grave     |                : 41=
CtrlShift Shift Left  |                : 42=
CtrlShift \           |                : 43=
CtrlShift z           |                :44=00
CtrlShift x           |                :45=XH,JM,(,I,n,S,t,C,d,)
CtrlShift c           |                :46=NI,XH,JM,(,A,C,e,n,t,e,r,)
CtrlShift v           |                :47=00
CtrlShift b           |                :48=XH,JM,(,S,e,t,B,k,)
CtrlShift n           |                :49=XH,JM,(,G,o,T,o,C,d,)
CtrlShift m           |                :50=XH,JM,(,M,e,m,p,d,)
CtrlShift ,           |                : 51=
CtrlShift .           |                : 52=
CtrlShift /           |                : 53=
CtrlShift Shift Right |                : 54=
CtrlShift * on NumPad |                :55=NI,*
CtrlShift Alt         |                : 56=
CtrlShift Space       |                :57=R3,R2,NO
CtrlShift CapsLock    |                : 58=
CtrlShift F1          |                : 59=
CtrlShift F2          |                : 60=
CtrlShift F3          |                : 61=
CtrlShift F4          |                : 62=
CtrlShift F5          |                : 63=
CtrlShift F6          |                : 64=
CtrlShift F7          |                : 65=
CtrlShift F8          |                : 66=
CtrlShift F9          |                : 67=
CtrlShift F10         |                : 68=
CtrlShift NumLock     |                : 69=
CtrlShift ScrLock     |                :70=NI,TS
CtrlShift Home        |                :71=DM,TF,DZ
CtrlShift Up          |                :72=GH
CtrlShift PgUp        |                :73=MD
CtrlShift Pad Minus   |                : 74=
CtrlShift Left        |                :75=DM,PW,DZ
CtrlShift Pad Five    |                : 76=
CtrlShift Right       |                :77=DW
CtrlShift Pad Plus    |                : 78=
CtrlShift End         |                :79=DM,BF,DZ
CtrlShift Down        |                :80=GT
CtrlShift PgDn        |                :81=MU
CtrlShift Ins         |                :82=XH,JM,(,C,o,p,y,&,A,p,p,)
CtrlShift Del         |                :83=XH,JM,(,C,u,t,&,A,p,p,)
CtrlShift SysReq (AT) |                : 84=
CtrlShift Menu (NB)   |                : 85=
CtrlShift < (Europe)  |                : 86=
CtrlShift F11         |                : 87=
CtrlShift F12         |                : 88=
CtrlShift * unused *  |                : 89=
CtrlShift Pause       |                :90=NI
CtrlShift Insert Enh  |                :91=XH,JM,(,C,o,p,y,&,A,p,p,)
CtrlShift Home   Enh  |                :92=DM,TF,DZ
CtrlShift PageUp Enh  |                :93=MD
CtrlShift Divide NumP |                : 94=
CtrlShift Delete Enh  |                :95=XH,JM,(,C,u,t,&,A,p,p,)
CtrlShift End    Enh  |                :96=DM,BF,DZ
CtrlShift PageDn Enh  |                :97=MU
CtrlShift Alt Right   |                : 98=
CtrlShift Ctrl Right  |                : 99=
CtrlShift ArrowUp     |                :100=GH
CtrlShift ArrowLeft   |                :101=DM,PW,DZ
CtrlShift ArrowDown   |                :102=GT
CtrlShift ArrowRight  |                :103=DW
CtrlShift Enter NumP  |                :104=XH,BX,(,P,G,)
CtrlShift Mouse       |                : 105=
AltShift--------------+----------------:TABLE=ALT+SHIFT
AltShift  Esc         |                : 1=
AltShift  1           |                :2=NN,1
AltShift  2           |                :3=NN,2
AltShift  3           |                :4=NN,3
AltShift  4           |                :5=NN,4
AltShift  5           |                :6=NN,5
AltShift  6           |                :7=NN,6
AltShift  7           |                :8=NN,7
AltShift  8           |                :9=NN,8
AltShift  9           |                :10=NN,9
AltShift  0           |                :11=NN,0
AltShift  - Hyphen    |                :12=NN,-
AltShift  = Equal     |                : 13=
AltShift  Backspace   |                : 14=
AltShift  Tab         |                :15=IT
AltShift  q           |                : 16=
AltShift  w           |                :17=WW
AltShift  e           |                : 18=
AltShift  r           |                :19=NN,
AltShift  t           |                : 20=
AltShift  y           |                : 21=
AltShift  u           |                : 22=
AltShift  i           |                : 23=
AltShift  o           |                :24=NN,O
AltShift  p           |                : 25=
AltShift  [           |                : 26=
AltShift  ]           |                : 27=
AltShift  Enter       |                :28=0A
AltShift  Ctrl Left   |                : 29=
AltShift  a           |                :30=WA
AltShift  s           |                :31=WS
AltShift  d           |                : 32=
AltShift  f           |                :33=NN,
AltShift  g           |                : 34=
AltShift  h           |                : 35=
AltShift  j           |                : 36=
AltShift  k           |                : 37=
AltShift  l           |                :38=WL
AltShift  ; Semicolon |                : 39=
AltShift  ' Acute     |                : 40=
AltShift  ` Grave     |                : 41=
AltShift  Shift Left  |                : 42=
AltShift  \           |                : 43=
AltShift  z           |                : 44=
AltShift  x           |                :45=WX
AltShift  c           |                : 46=
AltShift  v           |                : 47=
AltShift  b           |                : 48=
AltShift  n           |                :49=WN
AltShift  m           |                : 50=
AltShift  ,           |                : 51=
AltShift  .           |                :52=NI,NN,.
AltShift  /           |                : 53=
AltShift  Shift Right |                : 54=
AltShift  * on NumPad |                : 55=
AltShift  Alt         |                : 56=
AltShift  Space       |                : 57=
AltShift  CapsLock    |                : 58=
AltShift  F1          |                :59=MK
AltShift  F2          |                :60=RD
AltShift  F3          |                : 61=
AltShift  F4          |                : 62=
AltShift  F5          |                : 63=
AltShift  F6          |                : 64=
AltShift  F7          |                : 65=
AltShift  F8          |                : 66=
AltShift  F9          |                : 67=
AltShift  F10         |                : 68=
AltShift  NumLock     |                : 69=
AltShift  ScrLock     |                :70=TS
AltShift  Home        |                :71=NI,DM,HM,DZ
AltShift  Up          |                :72=NI,DM,PP,DZ
AltShift  PgUp        |                :73=NI,DM,PF,DZ
AltShift  Pad Minus   |                :74=NN,-
AltShift  Left        |                :75=NI,DM,TL,DZ
AltShift  Pad Five    |                :76=NI
AltShift  Right       |                :77=NI,DM,TR,DZ
AltShift  Pad Plus    |                :78=00
AltShift  End         |                :79=NI,DM,BS,DZ
AltShift  Down        |                :80=NI,DM,NP,DZ,GT
AltShift  PgDn        |                :81=NI,DM,NF,DZ
AltShift  Ins         |                :82=NI
AltShift  Del         |                : 83=
AltShift  SysReq (AT) |                : 84=
AltShift  Menu (NB)   |                : 85=
AltShift  < (Europe)  |                : 86=
AltShift  F11         |                : 87=
AltShift  F12         |                : 88=
AltShift  * unused *  |                : 89=
AltShift  Pause       |                : 90=
AltShift  Insert Enh  |                : 91=
AltShift  Home   Enh  |                :92=NI,DM,HM,DZ
AltShift  PageUp Enh  |                :93=NI,DM,PF,DZ
AltShift  Divide NumP |                : 94=
AltShift  Delete Enh  |                : 95=
AltShift  End    Enh  |                :96=NI,DM,BS,DZ
AltShift  PageDn Enh  |                :97=NI,DM,NF,DZ
AltShift  Alt Right   |                : 98=
AltShift  Ctrl Right  |                : 99=
AltShift  ArrowUp     |                :100=NI,DM,PP,DZ
AltShift  ArrowLeft   |                :101=NI,DM,TL,DZ
AltShift  ArrowDown   |                :102=NI,DM,NP,DZ,GT
AltShift  ArrowRight  |                :103=NI,DM,TR,DZ
AltShift  Enter NumP  |                :104=0A
AltShift  Mouse       |                : 105=
CtrlAlt---------------+----------------:TABLE=CTRL+ALT
CtrlAlt   Esc         |                : 1=
CtrlAlt   1           |                :2=R1
CtrlAlt   2           |                :3=R2
CtrlAlt   3           |                :4=R3
CtrlAlt   4           |                :5=R4
CtrlAlt   5           |                :6=R5
CtrlAlt   6           |                :7=R6
CtrlAlt   7           |                :8=R7
CtrlAlt   8           |                :9=R8
CtrlAlt   9           |                :10=R9
CtrlAlt   0           |                :11=R0
CtrlAlt   - Hyphen    |                : 12=
CtrlAlt   = Equal     |                : 13=
CtrlAlt   Backspace   |                : 14=
CtrlAlt   Tab         |                : 15=
CtrlAlt   q           |                : 16=
CtrlAlt   w           |                : 17=
CtrlAlt   e           |                : 18=
CtrlAlt   r           |                : 19=
CtrlAlt   t           |                : 20=
CtrlAlt   y           |                : 21=
CtrlAlt   u           |                : 22=
CtrlAlt   i           |                : 23=
CtrlAlt   o           |                : 24=
CtrlAlt   p           |                : 25=
CtrlAlt   [           |                : 26=
CtrlAlt   ]           |                : 27=
CtrlAlt   Enter       |                : 28=
CtrlAlt   Ctrl Left   |                : 29=
CtrlAlt   a           |                : 30=
CtrlAlt   s           |                : 31=
CtrlAlt   d           |                : 32=
CtrlAlt   f           |                : 33=
CtrlAlt   g           |                : 34=
CtrlAlt   h           |                : 35=
CtrlAlt   j           |                : 36=
CtrlAlt   k           |                : 37=
CtrlAlt   l           |                : 38=
CtrlAlt   ; Semicolon |                : 39=
CtrlAlt   ' Acute     |                : 40=
CtrlAlt   ` Grave     |                : 41=
CtrlAlt   Shift Left  |                : 42=
CtrlAlt   \           |                : 43=
CtrlAlt   z           |                : 44=
CtrlAlt   x           |                : 45=
CtrlAlt   c           |                : 46=
CtrlAlt   v           |                : 47=
CtrlAlt   b           |                : 48=
CtrlAlt   n           |                : 49=
CtrlAlt   m           |                : 50=
CtrlAlt   ,           |                : 51=
CtrlAlt   .           |                : 52=
CtrlAlt   /           |                : 53=
CtrlAlt   Shift Right |                : 54=
CtrlAlt   * on NumPad |                : 55=
CtrlAlt   Alt         |                : 56=
CtrlAlt   Space       |                : 57=
CtrlAlt   CapsLock    |                : 58=
CtrlAlt   F1          |                : 59=
CtrlAlt   F2          |                :60=RP
CtrlAlt   F3          |                : 61=
CtrlAlt   F4          |                : 62=
CtrlAlt   F5          |                : 63=
CtrlAlt   F6          |                : 64=
CtrlAlt   F7          |                : 65=
CtrlAlt   F8          |                : 66=
CtrlAlt   F9          |                : 67=
CtrlAlt   F10         |                : 68=
CtrlAlt   NumLock     |                : 69=
CtrlAlt   ScrLock     |                : 70=
CtrlAlt   Home        |                :71=NI,R7
CtrlAlt   Up          |                :72=NI,R8
CtrlAlt   PgUp        |                :73=NI,R9
CtrlAlt   Pad Minus   |                :74=00
CtrlAlt   Left        |                :75=NI,R4
CtrlAlt   Pad Five    |                :76=NI,R5
CtrlAlt   Right       |                :77=NI,R6
CtrlAlt   Pad Plus    |                :78=00
CtrlAlt   End         |                :79=NI,R1
CtrlAlt   Down        |                :80=NI,R2
CtrlAlt   PgDn        |                :81=NI,R3
CtrlAlt   Ins         |                :82=NI,R0
CtrlAlt   Del         |                :83=EX
CtrlAlt   SysReq (AT) |                : 84=
CtrlAlt   Menu (NB)   |                : 85=
CtrlAlt   < (Europe)  |                : 86=
CtrlAlt   F11         |                : 87=
CtrlAlt   F12         |                : 88=
CtrlAlt   * unused *  |                : 89=
CtrlAlt   Pause       |                : 90=
CtrlAlt   Insert Enh  |                : 91=
CtrlAlt   Home   Enh  |                : 92=
CtrlAlt   PageUp Enh  |                : 93=
CtrlAlt   Divide NumP |                : 94=
CtrlAlt   Delete Enh  |                :95=EX
CtrlAlt   End    Enh  |                : 96=
CtrlAlt   PageDn Enh  |                : 97=
CtrlAlt   Alt Right   |                : 98=
CtrlAlt   Ctrl Right  |                : 99=
CtrlAlt   ArrowUp     |                : 100=
CtrlAlt   ArrowLeft   |                : 101=
CtrlAlt   ArrowDown   |                : 102=
CtrlAlt   ArrowRight  |                : 103=
CtrlAlt   Enter NumP  |                : 104=
CtrlAlt   Mouse       |                : 105=
CtrlAltSh-------------+----------------:TABLE=CTRL+ALT+SHIFT
CtrlAltSh Esc         |                : 1=
CtrlAltSh 1           |                :2=R1
CtrlAltSh 2           |                :3=R2
CtrlAltSh 3           |                :4=R3
CtrlAltSh 4           |                :5=R4
CtrlAltSh 5           |                :6=R5
CtrlAltSh 6           |                :7=R6
CtrlAltSh 7           |                :8=R7
CtrlAltSh 8           |                :9=R8
CtrlAltSh 9           |                :10=R9
CtrlAltSh 0           |                :11=R0
CtrlAltSh - Hyphen    |                : 12=
CtrlAltSh = Equal     |                : 13=
CtrlAltSh Backspace   |                : 14=
CtrlAltSh Tab         |                : 15=
CtrlAltSh q           |                :16=GT,QH
CtrlAltSh w           |                :17=00
CtrlAltSh e           |                :18=00
CtrlAltSh r           |                :19=XH,JM,(,R,e,s,u,m,e,)
CtrlAltSh t           |                :20=XH,JM,(,T,o,d,a,y,)
CtrlAltSh y           |                :21=00
CtrlAltSh u           |                :22=00
CtrlAltSh i           |                :23=00
CtrlAltSh o           |                :24=00
CtrlAltSh p           |                :25=XH,JM,(,P,r,i,n,t,E,x,p,)
CtrlAltSh [           |                : 26=
CtrlAltSh ]           |                : 27=
CtrlAltSh Enter       |                : 28=
CtrlAltSh Ctrl Left   |                : 29=
CtrlAltSh a           |                :30=XH,JM,(,A,l,t,M,e,n,u,)
CtrlAltSh s           |                :31=XH,JM,(,C,u,s,t,F,)
CtrlAltSh d           |                :32=00
CtrlAltSh f           |                :33=XH,JM,(,F,i,n,d,L,a,t,e,s,t,)
CtrlAltSh g           |                :34=00
CtrlAltSh h           |                :35=00
CtrlAltSh j           |                :36=00
CtrlAltSh k           |                :37=XH,JM,(,K,e,y,D,i,a,g,)
CtrlAltSh l           |                :38=XH,JM,(,L,d,F,i,)
CtrlAltSh ; Semicolon |                : 39=
CtrlAltSh ' Acute     |                : 40=
CtrlAltSh ` Grave     |                : 41=
CtrlAltSh Shift Left  |                : 42=
CtrlAltSh \           |                : 43=
CtrlAltSh z           |                :44=XH,JM,(,L,a,s,t,M,n,u,C,m,d,)
CtrlAltSh x           |                :45=XH,JM,(,X,P,L,D,i,a,g,)
CtrlAltSh c           |                :46=XH,JM,(,C,o,p,y,T,o,C,M,)
CtrlAltSh v           |                :47=XH,JM,(,V,a,l,u,e,s,)
CtrlAltSh b           |                :48=XH,BX,(,p,f,u,n,c, ,B,C,)
CtrlAltSh n           |                :49=EN
CtrlAltSh m           |                :50=XH,JM,(,M,o,v,e,T,o,C,M,)
CtrlAltSh ,           |                :51=R1,R7,R4
CtrlAltSh .           |                :52=R1,R7,R5
CtrlAltSh /           |                :53=XH,JM,(,A,d,v,K,e,y,s,)
CtrlAltSh Shift Right |                : 54=
CtrlAltSh * on NumPad |                : 55=
CtrlAltSh Alt         |                : 56=
CtrlAltSh Space       |                : 57=
CtrlAltSh CapsLock    |                : 58=
CtrlAltSh F1          |                : 59=
CtrlAltSh F2          |                : 60=
CtrlAltSh F3          |                : 61=
CtrlAltSh F4          |                : 62=
CtrlAltSh F5          |                : 63=
CtrlAltSh F6          |                : 64=
CtrlAltSh F7          |                : 65=
CtrlAltSh F8          |                : 66=
CtrlAltSh F9          |                : 67=
CtrlAltSh F10         |                : 68=
CtrlAltSh NumLock     |                : 69=
CtrlAltSh ScrLock     |                : 70=
CtrlAltSh Home        |                :71=NI,R7
CtrlAltSh Up          |                :72=NI,R8
CtrlAltSh PgUp        |                :73=NI,R9
CtrlAltSh Pad Minus   |                :74=00
CtrlAltSh Left        |                :75=NI,R4
CtrlAltSh Pad Five    |                :76=NI,R5
CtrlAltSh Right       |                :77=NI,R6
CtrlAltSh Pad Plus    |                :78=00
CtrlAltSh End         |                :79=NI,R1
CtrlAltSh Down        |                :80=NI,R2
CtrlAltSh PgDn        |                :81=NI,R3
CtrlAltSh Ins         |                :82=NI,R0
CtrlAltSh Del         |                :83=EX
CtrlAltSh SysReq (AT) |                : 84=
CtrlAltSh Menu (NB)   |                : 85=
CtrlAltSh < (Europe)  |                : 86=
CtrlAltSh F11         |                : 87=
CtrlAltSh F12         |                : 88=
CtrlAltSh * unused *  |                : 89=
CtrlAltSh Pause       |                : 90=
CtrlAltSh Insert Enh  |                : 91=
CtrlAltSh Home   Enh  |                : 92=
CtrlAltSh PageUp Enh  |                : 93=
CtrlAltSh Divide NumP |                : 94=
CtrlAltSh Delete Enh  |                : 95=
CtrlAltSh End    Enh  |                : 96=
CtrlAltSh PageDn Enh  |                : 97=
CtrlAltSh Alt Right   |                : 98=
CtrlAltSh Ctrl Right  |                : 99=
CtrlAltSh ArrowUp     |                : 100=
CtrlAltSh ArrowLeft   |                : 101=
CtrlAltSh ArrowDown   |                : 102=
CtrlAltSh ArrowRight  |                : 103=
CtrlAltSh Enter NumP  |                : 104=
CtrlAltSh Mouse       |                : 105=
CtrlAltSh==============================:;END OF KEYBOARD TABLE
